#!/usr/bin/python
# Juju charm hooks for contrail-compute

import sys
from charmhelpers.contrib.contrail.common import (
    Role,
)
from charmhelpers.core.hookenv import (
    log as juju_log,
    Hooks, 
    UnregisteredHookError,
)

hooks = Hooks()
role = Role(role='all')

@hooks.hook('install')
def install():
    role.install_all()
#end install

@hooks.hook('start')
def start():
    pass #role.start_all(clean=True)
#end start

def main():
    try:
        hooks.execute(sys.argv)
    except UnregisteredHookError as e:
        juju_log('Unknown hook {} - skipping.'.format(e))
#end main

if __name__ == '__main__':
    main()
